| LicenseSpring .Net SDK 7.42.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.InstallationFileOptions Class Reference

Class that holds optional parameters when requesting InstallationFile info. More...

Inheritance diagram for LicenseSpring.InstallationFileOptions:

## Public Member Functions
| InstallationFileOptions ()
| InstallationFile default constructor.
| InstallationFileOptions (string version, string channel, string environment)
| InstallationFile default constructor.
| InstallationFileOptions (string version, string channel=null)
| InstallationFile default constructor.

## Properties
string | Channel`[get, set]`
| Channel from where installation file should be requested.
string | Environment`[get, set]`
| Environment for which installation file should be requested.For example can be "win", "win32", "win64", "mac", "linux", "linux32", "linux64"
string | Version`[get, set]`
| Needed application (Installation file) version.
Properties inherited from LicenseSpring.IInstallationFileOptions

## Detailed Description

Class that holds optional parameters when requesting InstallationFile info.

See also `ILicenseManager.GetInstallationFile` and `ILicense.Check`

## Constructor & Destructor Documentation

## ◆ InstallationFileOptions() [1/2]

LicenseSpring.InstallationFileOptions.InstallationFileOptions | ( | string | version,
|  | string | channel = `null`
| ) |  |

InstallationFile default constructor.

Parameters

  version | Needed version
  channel | Channel from where installation file info should be requested

## ◆ InstallationFileOptions() [2/2]

LicenseSpring.InstallationFileOptions.InstallationFileOptions | ( | string | version,
|  | string | channel,
|  | string | environment
| ) |  |

InstallationFile default constructor.

Parameters

  version | Needed version
  channel | Channel from where installation file info should be requested
  environment | Environment for which installation file should be requested

## Property Documentation

## ◆ Channel

string LicenseSpring.InstallationFileOptions.Channel
| get set

Channel from where installation file should be requested.

Implements LicenseSpring.IInstallationFileOptions.

## ◆ Environment

string LicenseSpring.InstallationFileOptions.Environment
| get set

Environment for which installation file should be requested.For example can be "win", "win32", "win64", "mac", "linux", "linux32", "linux64"

Implements LicenseSpring.IInstallationFileOptions.

## ◆ Version

string LicenseSpring.InstallationFileOptions.Version
| get set

Needed application (Installation file) version.

Implements LicenseSpring.IInstallationFileOptions.

The documentation for this class was generated from the following file:

- InstallationFile.cs